<?php
session_start();
include "verifica.php";

@$xnombres=$_REQUEST['xnombres'];
@$xabreviatura=$_REQUEST['xabreviatura'];
@$xaccion=$_REQUEST['xaccion'];
@$xid=$_REQUEST['xid'];
@$xestado=$_REQUEST['xestado'];
@$xusuario_sesion=$_SESSION['nombre_usuario'];
@$xdocumentado=$_REQUEST['xdocumentado'];


include "../conexion.php";

$tipdoc = new Tiposdocumento;

switch($xaccion){
	
	case "adicionar": 
		if($tipdoc->adicionar($conexion)==1){
			//echo "adicionar";
			?>			
			<script language="javascript">
			alert("Tipo de documento creado satisfactoriamente.")
			parent.location.href="../tiposdocumento.php";
			</script>			
			<?php
			
		}		
		break;
		
	case "modificar": 
		if($tipdoc->modificar($conexion)==1){
			//echo "modificar";
			?>			
			<script language="javascript">
			alert("Tipo de documento modificado satisfactoriamente.")
			parent.location.href="../tiposdocumento.php";
			</script>			
			<?php

		}		
		break;
	
	case "eliminar":
		if($tipdoc->eliminar($conexion)==1){
			//echo "eliminar";
			?>			
			<script language="javascript">
			alert("Tipo de documento eliminado satisfactoriamente.")
			parent.location.href="../tiposdocumento.php";
			</script>			
			<?php
			
		}		
		break;

	case "activar":
		if($tipdoc->activar($conexion)==1){
			?>			
			<script language="javascript">
			
			</script>			
			<?php
			
		}		
		break;


}

class Tiposdocumento{

	//Adiciona nueva familia
	function adicionar($conexion){
		global $xnombres, $xabreviatura, $xaccion, $xid, $xusuario_sesion, $xdocumentado;		

		$r = mysqli_query($conexion,"insert into documento_tipo (doctip_nombre, 
												  doctip_abreviatura,
												  doctip_usu_crea,
												  doctip_documentado)
										values ('$xnombres', 
												'$xabreviatura',
												'$xusuario_sesion',
												'$xdocumentado');");
		
		if($r){		
			return 1;
		}	
				
	}	

	//Modifica una familia
	function modificar($conexion){
		global $xnombres, $xabreviatura, $xaccion, $xid, $xusuario_sesion,$xdocumentado;

		$r = mysqli_query($conexion,"update documento_tipo set doctip_nombre = '$xnombres', 
												  doctip_abreviatura = '$xabreviatura',
												  doctip_usu_modifica = '$xusuario_sesion',
												  doctip_documentado = '$xdocumentado'
										where doctip_codi = $xid;");
		
		if($r){		
			return 1;
		}	
	
	}	
	

	//Elimina una familia
	function eliminar($conexion){
		global $xnombres, $xabreviatura, $xaccion, $xid;		

		$r = mysqli_query($conexion,"delete from documento_tipo where doctip_codi = $xid;");
		
		if($r){		
			return 1;
		}	
	}		


	//Activa una familia
	function activar($conexion){
		global $xestado, $xaccion, $xid, $xusuario_sesion;		

		$r = mysqli_query($conexion,"update documento_tipo set doctip_estado = '$xestado',
					 										   doctip_usu_activa = $xusuario_sesion
															where doctip_codi = $xid;");
		
		if($r){		
			return 1;
		}	
	
	}	


}


?>
